import * as Models from './models';
import * as Parameters from './parameters';
import { Callback } from '../callback';
import { Client } from '../clients';
export declare class ContentBody {
    private client;
    constructor(client: Client);
    /**
     * Converts a content body from one format to another format.
     *
     * Supported conversions:
     *
     * - Storage: view, export_view, styled_view, editor
     * - Editor: storage
     * - View: none
     * - Export_view: none
     * - Styled_view: none
     *
     * **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: If request specifies 'contentIdContext',
     * 'View' permission for the space, and permission to view the content.
     */
    convertContentBody<T = Models.ContentBody>(parameters: Parameters.ConvertContentBody, callback: Callback<T>): Promise<void>;
    /**
     * Converts a content body from one format to another format.
     *
     * Supported conversions:
     *
     * - Storage: view, export_view, styled_view, editor
     * - Editor: storage
     * - View: none
     * - Export_view: none
     * - Styled_view: none
     *
     * **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: If request specifies 'contentIdContext',
     * 'View' permission for the space, and permission to view the content.
     */
    convertContentBody<T = Models.ContentBody>(parameters: Parameters.ConvertContentBody, callback?: never): Promise<T>;
}
