"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentPermissions = void 0;
const tslib_1 = require("tslib");
class ContentPermissions {
    constructor(client) {
        this.client = client;
    }
    permissionCheck(parameters, callback) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return this.checkContentPermission(parameters, callback);
        });
    }
    checkContentPermission(parameters, callback) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const config = {
                url: `/api/content/${parameters.id}/permission/check`,
                method: 'POST',
                data: {
                    subject: parameters.subject,
                    operation: parameters.operation,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
}
exports.ContentPermissions = ContentPermissions;
//# sourceMappingURL=contentPermissions.js.map