import type { Callback } from '../callback';
import type { Client } from './client';
import type { Config } from '../config';
import type { RequestConfig } from '../requestConfig';
export declare class BaseClient implements Client {
    #private;
    protected readonly config: Config;
    protected urlSuffix: string;
    constructor(config: Config);
    protected paramSerializer(parameters: Record<string, any>): string;
    protected encode(value: string): string;
    protected removeUndefinedProperties(obj: Record<string, any>): Record<string, any>;
    private get instance();
    sendRequest<T>(requestConfig: RequestConfig, callback: never, telemetryData?: any): Promise<T>;
    sendRequest<T>(requestConfig: RequestConfig, callback: Callback<T>, telemetryData?: any): Promise<void>;
}
