"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Audit = void 0;
const tslib_1 = require("tslib");
class Audit {
    constructor(client) {
        this.client = client;
    }
    getAuditRecords(parameters, callback) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const config = {
                url: '/rest/api/audit',
                method: 'GET',
                params: {
                    startDate: parameters === null || parameters === void 0 ? void 0 : parameters.startDate,
                    endDate: parameters === null || parameters === void 0 ? void 0 : parameters.endDate,
                    start: parameters === null || parameters === void 0 ? void 0 : parameters.start,
                    limit: parameters === null || parameters === void 0 ? void 0 : parameters.limit,
                    searchString: parameters === null || parameters === void 0 ? void 0 : parameters.searchString,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    createAuditRecord(parameters, callback) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const config = {
                url: '/rest/api/audit',
                method: 'POST',
                data: {
                    author: parameters.author,
                    remoteAddress: parameters.remoteAddress,
                    creationDate: parameters.creationDate,
                    summary: parameters.summary,
                    description: parameters.description,
                    category: parameters.category,
                    sysAdmin: parameters.sysAdmin,
                    affectedObject: parameters.affectedObject,
                    changedValues: parameters.changedValues,
                    associatedObjects: parameters.associatedObjects,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    exportAuditRecords(parameters, callback) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const config = {
                url: '/rest/api/audit/export',
                method: 'GET',
                params: {
                    startDate: parameters === null || parameters === void 0 ? void 0 : parameters.startDate,
                    endDate: parameters === null || parameters === void 0 ? void 0 : parameters.endDate,
                    searchString: parameters === null || parameters === void 0 ? void 0 : parameters.searchString,
                    format: parameters === null || parameters === void 0 ? void 0 : parameters.format,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getRetentionPeriod(callback) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const config = {
                url: '/rest/api/audit/retention',
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    setRetentionPeriod(parameters, callback) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const config = {
                url: '/rest/api/audit/retention',
                method: 'PUT',
                data: {
                    number: parameters.number,
                    units: parameters.units,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getAuditRecordsForTimePeriod(parameters, callback) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const config = {
                url: '/rest/api/audit/since',
                method: 'GET',
                params: {
                    number: parameters === null || parameters === void 0 ? void 0 : parameters.number,
                    units: parameters === null || parameters === void 0 ? void 0 : parameters.units,
                    start: parameters === null || parameters === void 0 ? void 0 : parameters.start,
                    limit: parameters === null || parameters === void 0 ? void 0 : parameters.limit,
                    searchString: parameters === null || parameters === void 0 ? void 0 : parameters.searchString,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
}
exports.Audit = Audit;
//# sourceMappingURL=audit.js.map